Sign inGet started

Automation Rules

GET
/workspaces/{workspaceId}/inbox/automation/rules
List inbox automation rules
Paramètres de requête
trigger
string
Rule trigger
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
enabled
boolean
Rule enabled state
Corps de la réponse
results
array of object
obligatoire
Afficher les attributs enfants
results.id
string
obligatoire
results.name
string
obligatoire
results.description
string
results.categoryId
string
obligatoire
results.trigger
string
obligatoire
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
results.triggerArguments
object
results.orderPosition
number
results.enabled
boolean
obligatoire
results.conditions
object
obligatoire
Afficher les attributs enfants
results.conditions.all
array of object
Afficher les attributs enfants
results.conditions.all.name
string
obligatoire
results.conditions.all.value
object
results.conditions.any
array of object
Afficher les attributs enfants
results.conditions.any.name
string
obligatoire
results.conditions.any.value
object
results.actions
array of object
Afficher les attributs enfants
results.actions.name
string
obligatoire
results.actions.value
object
results.createdAt
string
obligatoire
results.updatedAt
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/automation/rules/reorder
Reorder automation rule
Corps de la requête
trigger
string
obligatoire
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
rules
array of object
obligatoire
Afficher les paramètres enfants
rules.ruleId
string
obligatoire
rules.newCategoryId
string
rules.newOrderPosition
number
obligatoire
Exemple de code
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules/reorder' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}
Get automation rule
Corps de la réponse
id
string
obligatoire
name
string
obligatoire
description
string
categoryId
string
obligatoire
trigger
string
obligatoire
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
triggerArguments
object
orderPosition
number
enabled
boolean
obligatoire
conditions
object
obligatoire
Afficher les attributs enfants
conditions.all
array of object
Afficher les attributs enfants
conditions.all.name
string
obligatoire
conditions.all.value
object
conditions.any
array of object
Afficher les attributs enfants
conditions.any.name
string
obligatoire
conditions.any.value
object
actions
array of object
Afficher les attributs enfants
actions.name
string
obligatoire
actions.value
object
createdAt
string
obligatoire
updatedAt
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}
Update automation rule
Corps de la requête
name
string
description
string
enabled
boolean
trigger
string
triggerArguments
object
categoryId
string
conditions
object
Afficher les paramètres enfants
conditions.all
array of object
Afficher les paramètres enfants
conditions.all.name
string
obligatoire
conditions.all.value
object
conditions.any
array of object
Afficher les paramètres enfants
conditions.any.name
string
obligatoire
conditions.any.value
object
actions
array of object
Afficher les paramètres enfants
actions.name
string
obligatoire
actions.value
object
Corps de la réponse
id
string
obligatoire
name
string
obligatoire
description
string
categoryId
string
obligatoire
trigger
string
obligatoire
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
triggerArguments
object
orderPosition
number
enabled
boolean
obligatoire
conditions
object
obligatoire
Afficher les attributs enfants
conditions.all
array of object
Afficher les attributs enfants
conditions.all.name
string
obligatoire
conditions.all.value
object
conditions.any
array of object
Afficher les attributs enfants
conditions.any.name
string
obligatoire
conditions.any.value
object
actions
array of object
Afficher les attributs enfants
actions.name
string
obligatoire
actions.value
object
createdAt
string
obligatoire
updatedAt
string
obligatoire
Exemple de code
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}
Delete automation rule
Exemple de code
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/automation/categories
List inbox automation categories
Corps de la réponse
results
array of object
obligatoire
Afficher les attributs enfants
results.id
string
obligatoire
results.name
string
obligatoire
results.orderPosition
number
results.createdAt
string
obligatoire
results.updatedAt
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/inbox/automation/categories
Create automation category
Corps de la requête
name
string
obligatoire
Corps de la réponse
id
string
obligatoire
name
string
obligatoire
orderPosition
number
createdAt
string
obligatoire
updatedAt
string
obligatoire
Exemple de code
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/automation/categories/reorder
Reorder automation categories
Corps de la requête
categories
array of object
obligatoire
Afficher les paramètres enfants
categories.categoryId
string
obligatoire
categories.newOrderPosition
number
obligatoire
Exemple de code
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories/reorder' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/automation/categories/{categoryId}
Update automation category
Corps de la requête
name
string
obligatoire
Corps de la réponse
id
string
obligatoire
name
string
obligatoire
orderPosition
number
createdAt
string
obligatoire
updatedAt
string
obligatoire
Exemple de code
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories/{categoryId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/inbox/automation/categories/{categoryId}
Delete automation category
Exemple de code
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories/{categoryId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/automation/new-item-reply
Get current new-item reply configuration.
Corps de la réponse
projectId
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/new-item-reply' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PUT
/workspaces/{workspaceId}/inbox/automation/new-item-reply
Update or create new-item reply configuration.
Corps de la requête
projectId
string
obligatoire
Exemple de code
curl -X PUT 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/new-item-reply' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'